from logging.handlers import TimedRotatingFileHandler
import logging
import os

logger = logging.getLogger(__name__)

logger.setLevel(logging.DEBUG)

# Console Handler
ch = logging.StreamHandler()

ch.setLevel(logging.CRITICAL)
ch.setFormatter(logging.Formatter(
    "[%(levelname)s] %(asctime)s: %(message)s"))
logger.addHandler(ch)

# Files Handler
cwd = os.path.dirname(__file__)
fh = TimedRotatingFileHandler(
    os.path.join(cwd, '/var/log/keenopt.log'),
    when = 'D',
    interval = 1,
    backupCount = 14
)
fh.setFormatter(logging.Formatter(
    "[%(levelname)s] %(asctime)s: %(message)s"))
logger.addHandler(fh)
